Create a checklist
POST
/{currentTeam}/audit-types
const url = 'https://api.tradeops.cc/v1/example/audit-types';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","icon":"example","color":"example","settings":"example","status":"draft"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tradeops.cc/v1/example/audit-types \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "icon": "example", "color": "example", "settings": "example", "status": "draft" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”currentTeam
required
string
The current team slug
Query Parameters
Section titled “Query Parameters”include
Array<string>
fields[audit_types]
Array<string>
fields[fields]
Array<string>
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
StoreAuditTypeRequest
object
name
required
string
description
string | null
icon
string | null
color
string | null
settings
Checklist settings such as score_threshold, self_start_enabled and customer_selection.
object | null
status
string
Responses
Section titled “Responses”AuditTypeResource
Media typeapplication/vnd.api+json
object
data
required
AuditTypeResource
object
id
required
string
type
required
string
attributes
object
name
string
slug
string
description
string | null
icon
string | null
color
string | null
status
string
settings
object
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
fields
object
data
required
Array<object>
object
id
required
string
type
required
string
links
required
object
self
required
string
included
Array
Any of:
FieldResource
object
id
required
string
type
required
string
attributes
object
name
string
label
string
type
string
section
string | null
options
object
validation
object
order
integer
required
boolean
score_weight
string
conditional
object | null
relationships
object
auditType
object
data
required
object
id
required
string
type
required
string
AuditTypeResource
object
id
required
string
type
required
string
attributes
object
name
string
slug
string
description
string | null
icon
string | null
color
string | null
status
string
settings
object
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
fields
object
data
required
Array<object>
object
id
required
string
type
required
string
links
required
object
self
required
string
Example
{ "data": { "type": "audit_types", "relationships": { "fields": { "data": [ { "type": "fields" } ] } } }, "included": [ { "type": "fields", "relationships": { "auditType": { "data": { "type": "audit_types" } } } } ]}Unauthenticated
Media typeapplication/json
object
message
required
Error overview.
string
Example generated
{ "message": "example"}Authorization error
Media typeapplication/json
object
message
required
Error overview.
string
Example generated
{ "message": "example"}Not found
Media typeapplication/json
object
message
required
Error overview.
string
Example generated
{ "message": "example"}Validation error
Media typeapplication/json
object
message
required
Errors overview.
string
errors
required
A detailed description of each field that failed validation.
object
key
additional properties
Array<string>
Example generated
{ "message": "example", "errors": { "additionalProperty": [ "example" ] }}Too many requests. Wait for Retry-After seconds before trying again.
Media typeapplication/json
object
message
required
string
Example generated
{ "message": "example"}Headers
Section titled “Headers”Retry-After
integer
Seconds until you can try again.